import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormGroup, ReactiveFormsModule } from '@angular/forms';
import { SlutredovisningFormService } from '../slutredovisning-form.service';
import { SlutredovisningFormStep1Component } from './slutredovisning-form-step1.component';

describe('SlutredovisningFormStep1Component', () => {
  let component: SlutredovisningFormStep1Component;
  let fixture: ComponentFixture<SlutredovisningFormStep1Component>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SlutredovisningFormStep1Component],
      imports: [ReactiveFormsModule, HttpClientTestingModule],
      providers: [SlutredovisningFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SlutredovisningFormStep1Component);
    component = fixture.componentInstance;
    component.formGroup = new FormGroup({});
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
